Bug 968135 - failed to install 5.x.x86_64 guest in rhel7.0 host
failed to install 5.x.x86_64 guest in rhel7.0 host
Status: CLOSED DUPLICATE of bug 967652
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 00:28 EDT by ShupingCui
Modified: 2016-05-16 00:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 02:39:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (9.58 KB, image/jpeg)
2013-05-29 00:29 EDT, ShupingCui
no flags Details

  None (edit)
Description ShupingCui 2013-05-29 00:28:55 EDT
Description of problem:
failed to install 5.x.x86_64 guest on latest kernel-3.9.0-0.55.el7.x86_64 and qemu-kvm-1.5.0-2.el7.x86_64, but successfully to install 5.x.i386 guest

Version-Release number of selected component (if applicable):
Host:
kernel-3.9.0-0.55.el7.x86_64
qemu-kvm-1.5.0-2.el7.x86_64


How reproducible:
100%


Steps to Reproduce:
1. install guest
/usr/libexec/qemu-kvm \
    -name 'vm1' \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/RHEL-Server-5.10-64.qcow2',if=none,id=drive-ide0-0-0,media=disk,cache=none,snapshot=off,format=qcow2,aio=threads \
    -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0 \
    -device e1000,netdev=idxmm67S,mac=9a:40:41:42:43:44,bus=pci.0,addr=0x3,id='idGuZY3y' \
    -netdev tap,id=idxmm67S \
    -m 4096 \
    -smp 1,maxcpus=1,cores=1,threads=1,sockets=1 \
    -cpu 'Penryn' \
    -M pc \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/isos/linux/RHEL-Server-5.10-x86_64-DVD.iso',if=none,id=drive-ide0-0-1,media=cdrom,snapshot=off,format=raw \
    -device ide-drive,bus=ide.0,unit=1,drive=drive-ide0-0-1 \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/rhel510-64/ks.iso',if=none,id=drive-ide0-1-0,media=cdrom,snapshot=off,format=raw \
    -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0 \
    -kernel '/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/rhel510-64/vmlinuz' \
    -append 'ks=cdrom nicdelay=60 console=ttyS0,115200 console=tty0' \
    -initrd '/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/rhel510-64/initrd.img' \
    -spice port=3000,disable-ticketing \
    -vga qxl \
    -global qxl-vga.vram_size=33554432 \
    -rtc base=utc,clock=host,driftfix=slew  \
    -boot order=cdn,once=d,menu=off   \
    -no-kvm-pit-reinjection \
    -no-shutdown \
    -enable-kvm \
    -monitor stdio

2.
3.

Actual results:
Failed to install

Expected results:
Guest installation successfully

Additional info:
1. [root@intel-8400-8-1 ~]# cat /proc/cpuinfo 
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Duo CPU     E8400  @ 3.00GHz
stepping	: 10
microcode	: 0xa0b
cpu MHz		: 2992.292
cache size	: 6144 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 2
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm dtherm tpr_shadow vnmi flexpriority
bogomips	: 5984.58
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

2. # top
top - 12:26:14 up 1 day,  3:27,  2 users,  load average: 0.64, 0.22, 0.11
Tasks: 121 total,   1 running, 116 sleeping,   0 stopped,   4 zombie
%Cpu(s):  0.2 us, 49.8 sy,  0.0 ni, 49.8 id,  0.0 wa,  0.2 hi,  0.0 si,  0.0 st
KiB Mem:   7773496 total,  7543556 used,   229940 free,       32 buffers
KiB Swap:  8142844 total,     1484 used,  8141360 free,  7148172 cached

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU  %MEM     TIME+ COMMAND                                                                                          
27608 root      20   0 4761396  52276   6208 R 100.1 0.672   0:45.29 qemu-kvm
Comment 1 ShupingCui 2013-05-29 00:29:34 EDT
Created attachment 754128 [details]
screenshot
Comment 3 Andrew Jones 2013-05-30 08:51:19 EDT
Reproduces over f18 with qemu-kvm-1.2.2-11.fc18.x86_64 and seabios-bin-1.7.1-4.fc18.noarch as well, but not over rhel6.

Guest hangs very early. Seabios?

RAX=0000000000020000 RBX=00000000004b7000 RCX=0000000000000000 RDX=0000000000000800
RSI=0000000000020000 RDI=00000000006bffa0 RBP=0000000000200000 RSP=00000000006bfee0
R8 =0000000000000000 R9 =00000000004b7000 R10=0000000000000000 R11=0000000000000000
R12=0000000000010000 R13=00000000006c7000 R14=0000000000202005 R15=0000000000000000
RIP=00000000006b9319 RFL=00000046 [---Z-P-] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =0000 0000000000000000 00000000 00000000
CS =0010 0000000000000000 ffffffff 00a09b00 DPL=0 CS64 [-RA]
SS =0000 0000000000000000 00000000 00000000
DS =0000 0000000000000000 00000000 00000000
FS =0000 0000000000000000 0000ffff 00009300 DPL=0 DS16 [-WA]
GS =ffff 00000000000ffff0 0000ffff 00009300 DPL=0 DS16 [-WA]
LDT=0000 0000000000000000 0000ffff 00008200 DPL=0 LDT
TR =0000 0000000000000000 0000ffff 00008b00 DPL=0 TSS64-busy
GDT=     0000000000304f38 00000020
IDT=     0000000000000000 00000000
CR0=80000011 CR2=0000000000000000 CR3=00000000006c1000 CR4=00000020
DR0=0000000000000000 DR1=0000000000000000 DR2=0000000000000000 DR3=0000000000000000 
DR6=00000000ffff0ff0 DR7=0000000000000400
EFER=0000000000000500
FCW=037f FSW=0000 [ST=0] FTW=00 MXCSR=00001f80
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000
XMM08=00000000000000000000000000000000 XMM09=00000000000000000000000000000000
XMM10=00000000000000000000000000000000 XMM11=00000000000000000000000000000000
XMM12=00000000000000000000000000000000 XMM13=00000000000000000000000000000000
XMM14=00000000000000000000000000000000 XMM15=00000000000000000000000000000000
Comment 4 Andrew Jones 2013-05-30 10:57:13 EDT
Just noticed bug 967652, which this bug is clearly a dup of.

*** This bug has been marked as a duplicate of bug 967652 ***

Note You need to log in before you can comment on or make changes to this bug.